package benefactorkindboxreqparam

import (
	"time"

	entity "git.gocasts.ir/ebhomengo/niki/entity"
)

type KindBoxReqAddRequest struct {
	BenefactorID   uint               `json:"benefactor_id"`
	TypeID         entity.KindBoxType `json:"type_id"`
	AddressID      uint               `json:"address_id"`
	ReferDate      time.Time          `json:"refer_date"`
	CountRequested uint               `json:"count_requested"`
}

type KindBoxReqAddResponse struct {
	KindBoxReq entity.KindBoxReq `json:"kind_box_req"`
}
