-- +migrate Up
CREATE TABLE `admins`
(
    `id`            INT PRIMARY KEY AUTO_INCREMENT,
    `first_name`    VARCHAR(191),
    `last_name`     VARCHAR(191),
    `password`      TEXT NOT NULL,
    `phone_number`  VARCHAR(191) NOT NULL UNIQUE,
    `role`          ENUM('super-admin','admin') NOT NULL,
    `description`   TEXT,
    `email`         VARCHAR(191) NOT NULL UNIQUE,
    `gender`        VARCHAR(191),
    `status`        VARCHAR(191),
    `created_at`    TIMESTAMP DEFAULT CURRENT_TIMESTAMP
);

-- +migrate Down
DROP TABLE `admins`;